MongoDB::repair
MongoDB::selectCollection
MongoDB
PHP Manual

# MongoDB::resetError

(PECL mongo >=0.9.5)

MongoDB::resetError — Clears any flagged errors on the database

### Description

public array MongoDB::resetError ( void )

This method is not used in normal operations. It resets the database error tracker (which can be incremented with MongoDB::forceError(), also not normally used).

It is equivalent to running:

`<?php
public function resetError() {
return $this->command(array('reseterror' => 1));
}
?>`

### Parameters

This function has no parameters.

### Return Values

Returns the database response.

### Changelog

Version | Description
--- | ---
1.2.11 | Emits `E_DEPRECATED` when used.

MongoDB::repair
MongoDB::selectCollection
MongoDB
PHP Manual